//datatable js
export default{
  data(){
    return {
      kw:''
    };
  },
  methods:{
    search(){
      this.$root.reload({kw:this.$refs.kw.value});
    },
    click(btn,item){
      onez.onEvent(this.format(btn,item),this);
    },
    format(obj,item){
      var isObj=false;
      if(typeof obj=='object'){
        obj=JSON.stringify(obj);
        isObj=true;
      }
      obj=obj.replace(/\$\{([^\}]+)\}/g,function(){
        var key=arguments[1];
        return item[key];
      });
      if(isObj){
        obj=JSON.parse(obj);
      }
      return obj;
    },
    getValue(rs,col){
      var value='';
      if(col.field){
        if(rs[col.field]){
          value=rs[col.field];
          if(col.options){
            value=col.options[value];
          }else if(col.bool){
            value=value?col.bool[0]:col.bool[1];
          }else if(col.type=='time'){
            
          }
          if(col.icon){
            value='<img src="'+rs[col.icon]+'" style="width:16px;height:16px;"> '+value;
          }
        }
      }
      return value;
    }
  }
}
